KCharSelectTable Class Reference

`#include <kcharselect.h>`

Inherits QGridView.

## Signals

void | highlighted (const QChar &c)
void | highlighted ()
void | activated (const QChar &c)
void | activated ()
void | focusItemChanged ()
void | focusItemChanged (const QChar &c)
void | tableUp ()
void | tableDown ()
void | doubleClicked ()

## Public Member Functions

| KCharSelectTable (QWidget *parent, const char *name, const QString &_font, const QChar &_chr, int _tableNum)
virtual QSize | sizeHint () const
virtual void | resizeEvent (QResizeEvent *)
virtual void | setFont (const QString &_font)
virtual void | setChar (const QChar &_chr)
virtual void | setTableNum (int _tableNum)
virtual QChar | chr ()

## Protected Member Functions

virtual void | paintCell (class QPainter *p, int row, int col)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseDoubleClickEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | keyPressEvent (QKeyEvent *e)
void | gotoLeft ()
void | gotoRight ()
void | gotoUp ()
void | gotoDown ()
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QString | vFont
QChar | vChr
int | vTableNum
QPoint | vPos
QChar | focusItem
QPoint | focusPos
int | temp

## Detailed Description

Character selection table.

A table widget which displays the characters of a font. Internally used by KCharSelect. See the KCharSelect documentation for further details.

Author
  Reginald Stadlbauer reggi.nosp@m.e@kd.nosp@m.e.org

Definition at line 51 of file kcharselect.h.

The documentation for this class was generated from the following files:

- kcharselect.h
- kcharselect.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys